package require fuse

set hello_str "Hello World!\n"
set hello_path "/hello"

proc Getattr {context path} {
    global hello_str hello_path
    if {$path eq "/"} {
        return [dict create type directory mode 0755 nlinks 2]
    } elseif {$path eq $hello_path} {
        return [dict create mode 0444 nlinks 1 size [string length $hello_str]]
    } else {
        return -code error -errorcode [list POSIX ENOENT {}]
    }

    return ;# use default stat
}

proc Open {context path fileinfo} {
    global hello_path

    if {$path ne $hello_path} {
        return -code error -errorcode [list POSIX ENOENT {}]
    }

    if {"RDONLY" ni [dict get $fileinfo flags]} {
        return -code error -errorcode [list POSIX EACCES {}]
    }

    return ;# must be explicit. if a number is returned, then it becomes the file descriptor.
}

proc Readdir {context path fileinfo} {
    global hello_path

    if {$path ne "/"} {
        return -code error -errorcode [list POSIX ENOENT {}]
    }

    return [list "." ".." [string range $hello_path 1 end]]
}

proc Read {context path fileinfo size offset} {
    global hello_str hello_path

    if {$path ne $hello_path} {
        return -code error -errorcode [list POSIX ENOENT {}]
    }

    set len [string length $hello_str]
    if {$offset < $len} {
        if {$offset + $size > $len} {
            set size $len
        }
        return [string range $hello_str $offset $size]
    }

    return
}

fuse create hello -getattr Getattr -readdir Readdir -open Open -read Read
hello examples/mnt -o nonempty

set cnt 0
proc ping {} {
    global cnt
    if {$cnt == 5} { rename hello {}; return }
    puts [incr cnt]
    after 500 ping
}
    
ping
set forever 0
vwait forever
