#!/usr/bin/env tclsh

set dir [pwd]
set dir [string range $dir 0 end-15]
set ::auto_path "$::auto_path $dir"

package require Tk
package require Tcl 8.5
package require tktopdf

wm geometry . =400x600

. configure -bg green

set img [image create photo -file brick.gif -width 60 -height 60]

checkbutton .widget3 \
    -text "selected" \
    -borderwidth 4 \
    -relief raised \
    -pady 2m \
    -font {Helvetica 10} \
    -indicator 0 \
    -underline 0 \
    -background red

checkbutton .widget4 \
    -text "this is\n a text" \
    -bg #10efee \
    -borderwidth 8 \
    -relief groove \
    -pady 0 \
    -padx 3 \
    -image $img \
    -compound bottom \
    -anchor center \
    -font {Helvetica 12} \
    -highlightthickness 0

spinbox .spin \
    -text "dfafd" \
    -borderwidth 10 \
    -highlightthickness 20 \
    -font {Helvetica 10} \
    -width 10 \
    -font {Helvetica 10}

pack .widget3
pack .widget4
pack .spin

tktopdf::startFile -file "chbtnspin_multipage.pdf" \
        -scalex 2.0 -scaley 1.75 \
        -marginleft 0.5i -margintop 0.25i -marginright 0.5i -marginbottom 0.25i \
        -pagewidth 420 -pageheight 220
tktopdf::exportWindow .widget3
tktopdf::nextPage
tktopdf::exportWindow .widget4
tktopdf::nextPage
tktopdf::exportWindow .spin
tktopdf::endFile
