#!/usr/bin/env tclsh

set dir [pwd]
set dir [string range $dir 0 end-15]
set ::auto_path "$::auto_path $dir"

package require Tk
package require Tcl 8.5
package require tktopdf

wm geometry . =400x600

. configure -bg green

set img [image create photo -file brick.gif -width 60 -height 60]

menu .m \
    -selectcolor yellow \
    -borderwidth 6 \
    -background lightgreen \
    -relief raised \
    -type normal \
    -activeborderwidth 6 \
    -font {Helvetica 15}

menu .m2
.m2 add command -label "Open"
.m add cascade -menu .m2 -label "File" -background red -font {Helvetica 25}
.m add command -label "Help" -background blue
.m add checkbutton -label "Checkme" -background green -state disabled -font {Helvetica 8}
.m add radiobutton -label "I'm radio" -background white -font {Arial 8}
.m add checkbutton -label "end" -background blue -image $img -compound top -font {Arial 10}

. configure -menu .m

canvas .can -width 200 -height 300 -borderwidth 5 -relief raised -bg darkgreen

.can create polygon 50 50 100 50 75 100 -fill red -activefill blue
.can create rectangle 150 150 200 250 -fill red -activefill blue
.can create line 90 90 100 90 100 200 -fill blue -dash ...
.can create text 150 100 -text oK -font {Arial 20}
.can create arc 110 100 150 150 -start 90 -extent 180 -fill yellow -outline white
.can create oval 10 10 50 50 -fill green -outline red

pack .can

tktopdf::startFile -file "menuandcanvas.pdf" \
        -scalex 1.0 -scaley 1.0 \
        -marginleft 0.25i -margintop 0.25i -marginright 0.25i -marginbottom 0.25i \
        -pagex 0 -pagey 0 \
        -rotatexy 0 -pagewidth [expr {400 + 2 * 0.25 * 70}] -pageheight 600
tktopdf::exportWindow .
tktopdf::endFile
